全部开发者教程

TensorFlow 入门教程

Python / TensorFlow 安装 - CPU

TensorFlow 安装 - CPU

既然要学习 TensorFlow,那么就要首先学会如何安装它。TensorFlow 可以大致地被分为 CPU 版本和GPU 版本,顾名思义,CPU 版本的 TensorFlow 就是在 CPU 之上运行的,而 GPU 版本的 TensorFlow 就是使用 GPU 来进行相关的工作的。

那么如何选择使用的版本呢?我们先来看一下它们之间的差异:

  • CPU 版本的 TensorFlow 安装简单,几乎不需要配置,调用迅速,但是训练模型的速度较慢,适合新手学习较为简单的实例。
  • GPU 版本的 TensorFlow 安装比较复杂,配置也比 CPU 版本复杂很多,而且调用速度较慢,但是它可以使用GPU的矩阵运算,因此它的训练速度比CPU版本的快很多,适用于专业者。

那么现在这节课我们就首先来学习如何安装 CPU 版本的 TensorFlow,我们会分别介绍 Windows 操作系统与 Linux 操作系统和 Mac OS 操作系统下如何安装 TensorFlow-CPU 版本。

1. Window 下 TensorFlow-CPU 的安装

1.1 准备工作

首先我们需要在安装之前进行一些简单的准备工作,具体如下:

  • 官方推荐使用 Windows 7 (64-bit) 及其以后的系统;
  • 系统上需要安装 Python,我们推荐安装 Python 3.5 到 Python 3.7 的版本(官方的文档要求),这样可以避免很多不兼容的问题的发生;
  • 需要熟悉 pip 工具的基本的使用方法,因为这是我们安装的一个主要工具。
  • 确定自己需要使用的 TensorFlow-CPU 版本。

Tips:推荐 TensorFlow2.0 - TensorFlow2.2 版本的任何一个即可,因为 CPU 版本产生兼容性问题的可能性较小。

1.2 安装步骤

其实 CPU 版本的安装非常简单,只需要两个步骤即可:

运行命令

pip install tensorflow

或者:

pip install tensorflow-cpu

第二个命令是强制安装 CPU 版本,用来避免 CPU 版本与 GPU 版本的捆绑安装。

上面是直接使用 pip 安装,并且使用官方给的版本,如果要指定安装版本(比如2.0版本),我们可以使用命令:

pip install tensorflow==2.0

因为 pip 默认使用国外的源,连接速度比较慢,因此大家可以换成国内的源以此来提升下载速度。
可以使用下面的方式将 pip 的源更换为清华大学的源来安装 TensorFlow:

pip install -i https://pypi.tuna.tsinghua.edu.cn/simple tensorflow==2.0

测试是否安装成功

在使用 pip 安装完成后我们需要测试是否安装成功。我们可以使用 Python 运行如下代码:

import tensorflow as tf
print("Version: " + tf.__version__)

若是输出结果为:

Version: 2.2.0

若是输出以上的结果,则说明安装成功, 若是没有输出版本并且报错,则需要查看自己的安装命令是否正确或者尝试降低一下安装的版本

2. Linux 与 Mac OS 系统下 TensorFlow-CPU 的安装

因为我们都会使用 pip 进行安装,因此 Windows 与 Linux 以及 MaxOS 的 TensorFlow-CPU 版本的安装大同小异。

首先确保机器上的 Python 版本为 3.5 版本或以上,如果不是则需要进行相应的升级。

升级更新自己的 pip,官方要求的 pip 版本为 19.0 及其以上,因此如果自己的 pip 版本没有达到要求那么就需要更新一下 pip。

Linux 可以使用以下命令来进行升级:

sudo apt-get install python-pip

MacOS 可以使用以下命令来进行升级:

sudo easy_install --upgrade pip

在这里只是提供一个更新方法,大家可以使用各种方法更新都可以。

运行命令安装 TensorFlow

pip install tensorflow-cpu

测试是否安装成功

import tensorflow as tf
print("Version: " + tf.__version__)

若是输出安装的版本号则标识安装成功,若是报错则说明自己安装失败,则需要查看自己的当前的环境是否正确。

3. TensorFlow 安装视频演示

我在安装的时候遇到了几个小问题在这里给大家说明一下:

1. 没有 C/C++ 的运行环境,如果遇到这个问题大家可以去这个网址下载一下 Microsoft Visual C++ 然后安装后重启一下就可以了。

2. 我安装的是 TensorFlow2.0 版本,安装成功之后导入报错:

ImportError: DLL load failed: 动态链接库(DLL)初始化例程失败

这是因为我使用的电脑处理器比较老的原因。我把之前的 TensorFlow2.0 版本卸载掉之后重新安装了 1.5 的版本,并导入成功:

卸载TensorFlow :pip uninstall tensorflow
安装1.5 版本:pip install tensorflow==1.5

3. 小结

总的来说,使用 pip 来安装 CPU 版本的 TensorFlow 并不算难,只要我们保证 Python 与 pip 版本正确就基本不会出现一些很大的问题。

正确安装是日后正常使用的保障,因此如果安装的话一定要仔细哟。

图片描述